<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:template match="SRItem">
		<tr>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="250">
				<xsl:value-of select="@itemid"/>
				<font size="-2">
				(<xsl:for-each select="@*">
					<xsl:choose>
						<xsl:when test="name() = 'itemid'"/>
						<xsl:when test="name() = 'cost'"/>
						<xsl:when test="name() = 'Availability'"/>
						<xsl:when test="name() = 'Street_Index'"/>
						<xsl:when test="name() = 'LegalityCode'"/>
						<xsl:otherwise>						
							<xsl:value-of select="name()"/>: <xsl:value-of select="."/>; 
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>)
				</font>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="80">
				<xsl:if test="not(@cost)">
					<xsl:text>0</xsl:text>
				</xsl:if>
				<xsl:if test="@cost">
					<xsl:if test="$use-format"><xsl:value-of select="format-number(@cost, '###,###,###')"/></xsl:if>
					<xsl:if test="not($use-format)"><xsl:value-of select="@cost"/></xsl:if>
				</xsl:if>
				<xsl:text disable-output-escaping="yes"> &amp;yen;</xsl:text>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="70">
				<xsl:if test="not(@Availability)">
					<xsl:text>0</xsl:text>
				</xsl:if>
				<xsl:value-of select="@Availability"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="40">
				<xsl:if test="not(@Street_Index)">
					<xsl:text>0</xsl:text>
				</xsl:if>
				<xsl:value-of select="@Street_Index"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="50">
				<xsl:if test="not(@LegalityCode)">
					<xsl:text>0</xsl:text>
				</xsl:if>
				<xsl:value-of select="@LegalityCode"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<tr>
				<td bgcolor="#D7D7D7" colspan="11"/>
			</tr>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>
