<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:template match="cyberterminal">
		<xsl:variable name="id" select="generate-id()"/>
		<xsl:call-template name="section_title">
			<xsl:with-param name="caption">Cyberdeck</xsl:with-param>
			<xsl:with-param name="name" select="@name"/>
			<xsl:with-param name="cost" select="@cost"/>
			<xsl:with-param name="id" select="$id"/>
		</xsl:call-template>
		<xsl:element name="div">
			<xsl:attribute name="id"><xsl:value-of select="$id"/>_div</xsl:attribute>
			<xsl:attribute name="style">display='none'</xsl:attribute>
			<blockquote class="class3">
				<xsl:element name="br"/>
				<xsl:variable name="terminal" select="current()"/>
				<xsl:for-each select="$db/data/cyberterminals/category">
					<table border="0" cellpadding="0" cellspacing="0">
						<tr bgcolor="#0066CC">
							<td colspan="9">
								<b>
									<font color="#FFFFFF">
										<xsl:value-of select="@caption"/>
									</font>
								</b>
							</td>
						</tr>
						<tr>
							<td width="1" bgcolor="#999999"/>
							<td bgcolor="#F1F1F1" colspan="3" height="8"/>
							<td width="1" bgcolor="#999999"/>
						</tr>
						<tr>
							<td width="1" bgcolor="#999999"/>
							<td width="7" bgcolor="#F1F1F1"/>
							<td>
								<table border="0" cellpadding="0" cellspacing="0">
									<tr>
										<td bgcolor="#D7D7D7" colspan="7"/>
									</tr>
									<xsl:for-each select="*">
										<xsl:variable name="a" select="name()"/>
										<xsl:variable name="b" select="$terminal/*[name() = $a]"/>
										<xsl:if test="($b/@cost) or ($b/@rating) or (@ignore-if-empty='no')">
											<xsl:call-template name="tri">
												<xsl:with-param name="varA">
													<xsl:choose>
														<xsl:when test="name()='masking'">Masking<xsl:if test="$b/@SASS"> &lt;br/&gt;&lt;font size="-2"&gt;(&lt;u&gt;SASS:&lt;/u&gt; <xsl:value-of select="$b/@SASS"/>)&lt;/font&gt;</xsl:if></xsl:when>
														<xsl:when test="name()='reality_filter'">Reality Filter &lt;br/&gt;&lt;font size="-2"&gt;(&lt;u&gt;User:&lt;/u&gt; <xsl:value-of select="$b/@user"/>; &lt;u&gt;Metaphor:&lt;/u&gt; <xsl:value-of select="$b/@metaphor"/>)&lt;/font&gt;</xsl:when>
														<xsl:when test="name()='reality_filter'">Reality Filter</xsl:when>
														<xsl:otherwise>	<xsl:value-of select="@caption"/></xsl:otherwise>
													</xsl:choose>
												</xsl:with-param>
												<xsl:with-param name="varB">
													<xsl:choose>
														<xsl:when test="name()='ASIST' and not($b/@rating)">Cold</xsl:when>
														<xsl:otherwise><xsl:value-of select="$b/@rating"/></xsl:otherwise>
													</xsl:choose>
												</xsl:with-param>
												<xsl:with-param name="varC" select="$b/@cost"/>
											</xsl:call-template>
										</xsl:if>
									</xsl:for-each>
								</table>
							</td>
							<td width="7" bgcolor="#F1F1F1"/>
							<td width="1" bgcolor="#999999"/>
						</tr>
						<tr>
							<td width="1" bgcolor="#999999"/>
							<td bgcolor="#F1F1F1" colspan="3" height="8"/>
							<td width="1" bgcolor="#999999"/>
						</tr>
						<tr>
							<td bgcolor="#999999" colspan="9"/>
						</tr>
					</table>
					<xsl:element name="br"/>
				</xsl:for-each>
			</blockquote>
			<xsl:element name="br"/>
		</xsl:element>
		<xsl:element name="br"/>
	</xsl:template>

	<xsl:template name="tri">
		<xsl:param name="varA"/>
		<xsl:param name="varB"/>
		<xsl:param name="varC"/>
		<tr>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="136">
				<xsl:value-of select="$varA" disable-output-escaping="yes"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="136">
				<xsl:value-of select="$varB"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="136">
				<xsl:if test="$use-format"><xsl:value-of select="format-number($varC, '###,###,###')"/></xsl:if>
				<xsl:if test="not($use-format)"><xsl:value-of select="$varC"/></xsl:if>
				<xsl:text disable-output-escaping="yes"> &amp;yen;</xsl:text>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<tr>
				<td bgcolor="#D7D7D7" colspan="7"/>
			</tr>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>
