<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8" indent="yes"/>
	<xsl:decimal-format NaN="0"/>
	<xsl:param name="use-format"/>
	<xsl:variable name="db" select="document('db.xml')"/>
	<xsl:include href="cyberdeck.xslt"/>
	<xsl:include href="cranial-cyberdeck.xslt"/>
	<xsl:include href="SRItem.xslt"/>
	<xsl:template match="*"/>
	<xsl:template match="text()"/>
	<xsl:template match="/paydata">
		<html>
			<head>
				<style> 
					.class3 {margin-left: 15px; border-left: 1px dotted gray; border-top: 1px solid black; border-bottom: 1px solid black; background-color: white; padding-left: 15px; border-right: 1px dotted gray;: } 
					A {  color: #0000FF; text-decoration: none}
					.class1 {  color: #00FFFF; font-style: italic}
		  			.class2 {  background-color: #000000; align=right}
		  			.class4 {  text-decoration: underline }
				</style>
			</head>
			<script language="JavaScript">
				function func(name){
					if (eval( "document.all." + name + "_div.style.display == 'none'" ))
					{
				  		eval( "document.all." + name + "_div.style.display = 'inline'" ) 
				  		eval( "document.all." + name + "_bullet.style.display = 'none'" )
				  		eval( "document.all." + name + "_bullet_down.style.display = 'inline'" )
					}
					else
					{
				  		eval( "document.all." + name + "_div.style.display = 'none'" ) 
				  		eval( "document.all." + name + "_bullet.style.display = 'inline'" )
				  		eval( "document.all." + name + "_bullet_down.style.display = 'none'" )
					}
				}

				function collapse_all(){
					for(var i=0; i <xsl:text disable-output-escaping="yes">&lt;</xsl:text> document.anchors.length; i++ ){
				  		eval( "document.all." + document.anchors[i].name + "_div.style.display = 'none';" )
				  		eval( "document.all." + document.anchors[i].name + "_bullet.style.display = 'inline'" )
				  		eval( "document.all." + document.anchors[i].name + "_bullet_down.style.display = 'none'" )
					}
				}

				function expand_all(){
					for(var i=0; i <xsl:text disable-output-escaping="yes">&lt;</xsl:text> document.anchors.length; i++ ){
				  		eval( "document.all." + document.anchors[i].name + "_div.style.display = 'inline'" )
				  		eval( "document.all." + document.anchors[i].name + "_bullet.style.display = 'none'" )
				  		eval( "document.all." + document.anchors[i].name + "_bullet_down.style.display = 'inline'" )
					}
				}
				
				function showDatatrail(){
					document.all.DatatrailWindow.style.visibility='visible'				
				}
				
				function bodyOnClick(){
					document.all.DatatrailWindow.style.visibility = "hidden"		
				}
			</script> 
			<body leftmargin="0" topmargin="0" onclick="bodyOnClick()">
			      <div id='DatatrailWindow' style="width:300PX; padding:5px 7px 7px 7px; background-color:#FFFFCC; border:solid 1 #999999; visibility:hidden; position:absolute; top:20px; left:0px; z-index:2;">
			      		<b>Generator: </b><xsl:value-of select="datatrail/generator"/><br/>
			      		<b>Version: </b><xsl:value-of select="datatrail/version"/><br/>
			      		<b>Homepage: </b><xsl:value-of select="datatrail/homepage"/><br/>
			      		<b>Email: </b><xsl:value-of select="datatrail/email"/><br/>
			      </div>
			
				<div class="class2">
					<font color="#FFFFFF">
						<b>Paydata</b>
						<xsl:if test="datatrail">
							[ <a href="javascript:showDatatrail()" style="color: #FFFFFF; text-decoration: underline">Datatrail</a> ]
						</xsl:if>
					</font>
				</div>
				<table>
					<tbody>
						<tr>
							<th>
								<font color="#0000FF">[ <a href="javascript:expand_all()" class="class4">Expand all</a> ]</font>
							</th>
							<th>
								<font color="#0000FF">[ <a href="javascript:collapse_all()" class="class4">Collapse all</a> ]</font>
							</th>
						</tr>
					</tbody>
				</table>
				<font face="Arial">
					<blockquote><xsl:text> </xsl:text>
						<xsl:apply-templates/>
					</blockquote>
				</font>
				<div class="class2" align="right">
					<font color="#FFFFFF">Generated by <a class="class1" href="http://ccoc.sf.net/">CCOC</a> by Carmi Grushko</font>
				</div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="SRItems">
		<xsl:variable name="id" select="generate-id()"/>
		<xsl:call-template name="section_title">
			<xsl:with-param name="caption" select="@name"/>
			<xsl:with-param name="name" select="@NameExtension"/>
			<xsl:with-param name="cost" select="@cost"/>
			<xsl:with-param name="id" select="$id" />
		</xsl:call-template>
		<xsl:call-template name="SRItems_div">
			<xsl:with-param name="id" select="$id"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="loaded-software">
		<xsl:variable name="id" select="generate-id()"/>
		<xsl:call-template name="section_title">
			<xsl:with-param name="caption">Loaded Software</xsl:with-param>
			<xsl:with-param name="cost" select="@cost"/>
			<xsl:with-param name="id" select="$id" />
		</xsl:call-template>
		<xsl:call-template name="SRItems_div">
			<xsl:with-param name="id" select="$id"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="SRItems_div">
		<xsl:param name="id"/>
		<xsl:element name="div">
			<xsl:attribute name="id"><xsl:value-of select="$id"/>_div</xsl:attribute>
			<xsl:attribute name="style">display='none'</xsl:attribute>
			<blockquote class="class3">
				<br/>
				<xsl:variable name="terminal" select="current()"/>
				<table border="0" cellpadding="0" cellspacing="0">
					<tr bgcolor="#0066CC">
						<td colspan="11">
							<b>
								<font color="#FFFFFF">
									<xsl:value-of select="@name"/>
								</font>
							</b>
						</td>
					</tr>
					<tr>
						<td width="1" bgcolor="#999999"/>
						<td bgcolor="#F1F1F1" colspan="3" height="8"/>
						<td width="1" bgcolor="#999999"/>
					</tr>
					<tr>
						<td width="1" bgcolor="#999999"/>
						<td width="7" bgcolor="#F1F1F1"/>
						<td>
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td bgcolor="#D7D7D7" colspan="25"/>
								</tr>
								<xsl:apply-templates/>
							</table>
						</td>
						<td width="7" bgcolor="#F1F1F1"/>
						<td width="1" bgcolor="#999999"/>
					</tr>
					<tr>
						<td width="1" bgcolor="#999999"/>
						<td bgcolor="#F1F1F1" colspan="3" height="8"/>
						<td width="1" bgcolor="#999999"/>
					</tr>
					<tr>
						<td bgcolor="#999999" colspan="9"/>
					</tr>
				</table>
				<br/>
			</blockquote>
			<br/>
		</xsl:element>
		<br/>
	</xsl:template>
	
	<xsl:template match="program[(@type='utility' or @type='IC' or @type='worm' or @type='frame')]">
		<tr>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="250">
				<xsl:value-of select="@itemid"/>
				<font size="-2">
					<br/>
					<xsl:apply-templates select="core"/>
					<xsl:for-each select="@*">
						<xsl:choose>
							<xsl:when test="name() = 'itemid'"/>
							<xsl:when test="name() = 'cost'"/>
							<xsl:when test="name() = 'Availability'"/>
							<xsl:when test="name() = 'Street_Index'"/>
							<xsl:when test="name() = 'LegalityCode'"/>
							<xsl:when test="name() = 'Size'"/>
							<xsl:when test="name() = 'Rating'"/>
							<xsl:when test="name() = 'type'"/>
							<xsl:otherwise>
								<u>
									<xsl:value-of select="name()"/>
								</u>: <xsl:value-of select="."/>; 
						</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
					<xsl:for-each select="*">
						<xsl:choose>
							<xsl:when test="name() = 'core'"/>
							<xsl:when test="name() = 'loaded-programs'"/>
							<xsl:otherwise>
								<u>
									<xsl:value-of select="name()"/>
								</u>
								<xsl:if test="count(./@*) &gt; 0">: <xsl:value-of select="./@*"/></xsl:if>; 
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</font>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="40">
				<xsl:if test="$use-format"><xsl:value-of select="format-number(@Rating, '#')"/></xsl:if>
				<xsl:if test="not($use-format)"><xsl:value-of select="@Rating"/></xsl:if>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="70">
				<xsl:if test="$use-format"><xsl:value-of select="format-number(@Size, '#')"/></xsl:if>
				<xsl:if test="not($use-format)"><xsl:value-of select="@Size"/></xsl:if>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="90">
				<xsl:if test="$use-format"><xsl:value-of select="format-number(@cost, '###,###,###')"/></xsl:if>
				<xsl:if test="not($use-format)"><xsl:value-of select="@cost"/></xsl:if>
				<xsl:text disable-output-escaping="yes"> &amp;yen;</xsl:text>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="50">
				<xsl:if test="not(@Availability)">0</xsl:if>
				<xsl:value-of select="@Availability"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<td width="50">
				<xsl:value-of select="@LegalityCode"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
			<tr>
				<td bgcolor="#D7D7D7" colspan="13"/>
			</tr>
		</tr>
		<xsl:apply-templates select="loaded-programs"/>
	</xsl:template>
	
	<xsl:template match="program[@type='frame']/core">
		<u>BESM</u>: <xsl:value-of select="@Bod"/>/<xsl:value-of select="@Evasion"/>/<xsl:value-of select="@Sensor"/>/<xsl:value-of select="@Masking"/>;
		<xsl:if test="../@itemid='Agent' or @itemid='Smart frame'">
			<u>Init. Bonus</u>: <xsl:if test="$use-format"><xsl:value-of select="format-number(@InitBonus, '#')"/></xsl:if><xsl:if test="not($use-format)"><xsl:value-of select="@InitBonus"/></xsl:if>; 
		</xsl:if>
		<xsl:if test="../@itemid='Agent'">
			<u>Pilot</u>: <xsl:if test="$use-format"><xsl:value-of select="format-number(@Pilot, '#')"/></xsl:if><xsl:if test="not($use-format)"><xsl:value-of select="@Pilot"/></xsl:if>; 
		</xsl:if>
		<br/>
	</xsl:template>
	
	<xsl:template match="program[@type='frame' or @type='IC']/loaded-programs" >
		<tr>
			<td bgcolor="#D7D7D7" width="1"/>
			<td colspan="11">
				<xsl:call-template name="loaded-software"/>
			</td>
			<td bgcolor="#D7D7D7" width="1"/>
		</tr>
		<tr>
			<td bgcolor="#D7D7D7" colspan="13"/>
		</tr>
	</xsl:template>
	
	<xsl:template name="section_title">
		<xsl:param name="caption"/>
		<xsl:param name="name"/>
		<xsl:param name="cost"/>
		<xsl:param name="id"/>
		<xsl:element name="a">
			<xsl:attribute name="href">javascript:func('<xsl:value-of select="$id"/>')</xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="$id"/></xsl:attribute>
			<b>
				<font face="Webdings" color="#000000">
					<span id="{$id}_bullet">
						<xsl:text disable-output-escaping="yes">&amp;#x34;</xsl:text>
					</span>
					<span id="{$id}_bullet_down" style="display='none'">
						<xsl:text disable-output-escaping="yes">&amp;#x36;</xsl:text>
					</span>
				</font>
				<font face="Microsoft Sans Serif" color="#000000">
					<xsl:value-of select="$caption"/>
				</font>
			</b> (Name: "<b>
				<xsl:value-of select="$name"/>
			</b>", Cost: <b>
				<xsl:if test="$use-format"><xsl:value-of select="format-number($cost, '###,###,###')"/></xsl:if>
				<xsl:if test="not($use-format)"><xsl:value-of select="$cost"/></xsl:if>
			</b>
			<xsl:text disable-output-escaping="yes"> &amp;yen;</xsl:text>)
			</xsl:element>
	</xsl:template>
</xsl:stylesheet>
